unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqlite3conn, sqldb, sqldblib, db, FileUtil, Forms,
  Controls, Graphics, Dialogs, DBGrids, DbCtrls, EditBtn, Buttons;

{$ifdef MSWINDOWS}
const
{$ifdef CPU64}
  SQLITE_LIBRARY_DEFAULT_NAME = 'x64\sqlite3.dll';
{$else}
  SQLITE_LIBRARY_DEFAULT_NAME = 'x32\sqlite3.dll';
{$endif}
{$endif}

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    FileNameEdit1: TFileNameEdit;
    SQLDBLibraryLoader1: TSQLDBLibraryLoader;
    SQLite3Connection1: TSQLite3Connection;
    SQLQuery1: TSQLQuery;
    SQLQuery2: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure FileNameEdit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FileNameEdit1Change(Sender: TObject);
begin
  SQLQuery1.Close;
  SQLite3Connection1.Connected := false;
  SQLite3Connection1.DatabaseName := FileNameEdit1.FileName;
  SQLite3Connection1.Connected := true;
  if not SQLite3Connection1.Connected then
     exit;
  SQLQuery1.SQL.Text := 'select * from tbl1';
    //SQLQuery1.SQL.Text := 'select sqlite_version()';
  SQLQuery1.Open;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     SQLDBLibraryLoader1.LibraryName := '.\libs\'+SQLITE_LIBRARY_DEFAULT_NAME;
     SQLDBLibraryLoader1.Enabled := true;
     Form1.Caption := 'Using ' + SQLITE_LIBRARY_DEFAULT_NAME;
end;

end.

